<template>
  <ui-button
    rounded
    variant="metamask"
    class="ui-footer-token-widget-add-menamask-button"
    :size="32"
    >
    <ui-icon-wallet-metamask
      class="icon"
    />
  </ui-button>
</template>
  
<script lang="ts">
  import { defineComponent } from 'vue'
  import { UiButton } from '../UiButton'
  import { UiIconWalletMetamask } from '../UiIcon'
  
  export default defineComponent({
    components: {
      UiButton,
      UiIconWalletMetamask,
    }
  })
  </script>
  
<style>
  .ui-footer-token-widget-add-menamask-button > .icon {
    @apply uikit-w-16 uikit-h-16;
  }
</style>
